%****************************************************************
%								*
%		        Brain Aid Prolog			*
%								*
%		IOLIB.H	HeaderDatei				*
%								*
%								*
%	Version  1.2, 05.07.94 by 	Frank Bergmann &	*
%					Martin Ostermann &	*
%	(c) 1992 - 1994			Guido von Walter	*
%								*
%****************************************************************

IMPORT iolib:-
	trace_write(void),
	write(void),
	display(void),
	nl,
	set_flush_nl(integer),
	closefiles,
	readdevice(integer),
	see(string),
	seeing(string),
	seen,
	writedevice(integer),
	tell(string),
	telling(string),
        told,
	readln(string),
	readchar(char),
	get(integer),
	readf(integer, string),
	writef(integer, string),
	readf(handle,integer,string),
	writef(handle,integer,string),
	file_str(string,string),
	sound(integer,integer),
	beep(),
	openread(handle,string),
	openwrite(handle,string),
	openappend(handle,string),
	openmodify(handle,string),
	closefile(handle),
	filepos(handle,integer),
	filesize(string,integer),
	filedate(string,integer),
        deletefile(string),
	eof(handle),
	getprofile(string,string,string,void,void),
	setprofile(string,string,string,void),
	getenv(string,string),
	cd(string),
	mkdir(string),
	rmdir(string),
	currentdrive(integer),
	op(integer,symbol,symbol),
	dde_init(integer,string,string),
	dde_exec(integer,string),
        dde_data(integer,string,string),
	dde_terminate(integer),
	hostexec(string),
	winexec(string).

IMPORT iolib2:-
	parse(string,void,voidlist),
        read(void),
	consult(string),
        listing(atom).



