#include "xwio.h"
#include <stdio.h>
#include <stdlib.h>

#define	P_NAME	67

void open_proc_ok (Panel_item item, Event *event)
/*
 */
	{
	Panel_item	pname;

	pname=(Panel_item) xv_get (item, XV_KEY_DATA, P_NAME);
	RunApp ((char *) xv_get (pname, PANEL_VALUE));
	xv_destroy_safe (xv_get (item, PANEL_CLIENT_DATA));
	}
	
void open_proc_cancel (Panel_item item, Event *event)
/*
 *	"Cancel" button notify proc,
 *	end the other dlg.
 */
	{
	xv_destroy_safe (xv_get (item, PANEL_CLIENT_DATA));
	}

void open_lkd_dlg (Frame parent)
/* 
 *	display the open dialog
 */
	{
	Frame 	frame;
	Panel	panel;
	Panel_item pname;

	frame= (Frame) xv_create (parent, FRAME,
		FRAME_LABEL,		"Open",
		XV_WIDTH,		180,
		XV_HEIGHT,		60,
		NULL);
	panel= (Panel) xv_create (frame, PANEL, NULL); 
	pname=(Panel_item) xv_create (panel, PANEL_TEXT,
		PANEL_LABEL_STRING,	"File :",
		NULL);
	xv_create (panel, PANEL_BUTTON,
		PANEL_NEXT_ROW,		-1,
		PANEL_LABEL_STRING,	"Ok",
		PANEL_NOTIFY_PROC,	open_proc_ok,
		XV_KEY_DATA,	P_NAME,	pname,
		PANEL_CLIENT_DATA,	frame,
		NULL);
	xv_create (panel, PANEL_BUTTON,
		PANEL_LABEL_STRING,	"Cancel",
		PANEL_NOTIFY_PROC,	open_proc_cancel,
		PANEL_CLIENT_DATA,	frame,
		NULL);
	window_fit (frame);
	xv_set (frame, XV_SHOW, TRUE, NULL);
	}

