/* CIO Function numbers */
#define FN_ARG_GET	0
#define FN_ARG_SIZE	1
#define	FN_FWRITE	25
#define FN_PROMSG	255


/* Prolog Router Messages */
#define PM_PRINT	0x6E697270	/*PRIN		*/
#define PM_CURSOR       0x73727563	/*CURS		*/
#define PM_MAKEWIN      0x656B616D	/*MAKE		*/
#define PM_KILLWIN	0x6C6C696B	/*KILL		*/
#define PM_CLEARWIN	0x61656C63	/*CLEA		*/
#define	PM_READ		0x64616572      /*READ		*/
	#define	READCH	0x00006863	/*    CH	*/
	#define	READLN	0x00006E6C	/*    LN	*/
	#define	READF	0x00000066	/*    F		*/
#define	PM_GETC		0x63746567	/*GETC		*/
	#define	GETCH	0x00000068	/*    H		*/
	#define	GETCWD	0x00006477	/*    WD	*/
	#define GETCDIR	0x00726964	/*    DIR	*/
	#define GETCOL	0x00006C6F	/*    COL   	*/
#define	PM_GETROW	0x72746567	/*GETR		*/
#define	PM_TIME		0x656D6974	/*TIME		*/
#define PM_EXIT		0x74697865	/*EXIT		*/
#define PM_QUEEN	0x65657571	/*QUEE		*/
	#define	QUEENS	0x0000736E	/*    NS	*/
	#define QUEENMK	0x006B6D6E	/*    NMK	*/
	#define	QUEENTM	0x006D746E	/*    NTM	*/
	#define QUEENCL	0x006C636E	/*    NCL	*/
	#define	QUEENIS	0x0073696E	/*    NIS	*/
	#define QUEENTX	0x0078746E	/*    NTX	*/
	#define QUEENPT	0x0074706E	/*    NPT	*/
	#define	QUEENGT	0x0074676E	/*    NGT	*/
#define PM_OPEN		0x6E65706F	/*OPEN		*/
	#define	OREAD	0x00006472	/*    RD	*/
	#define	OAPPEND	0x00007061	/*    AP	*/
	#define	OWRITE	0x00007277	/*    WR	*/
	#define	OMODIFY	0x00006F6D	/*    MO	*/
	#define OCOMM	0x006D6F63	/*    COM	*/
#define PM_SWITCHWIN	0x74697773	/*SWIT		*/
#define PM_FILE		0x656C6966	/*FILE		*/
	#define FILESTR	0x00727473	/*    STR	*/
	#define FILEDAT 0x00746164	/*    DAT	*/
        #define FILESIZ 0x007A6973      /*    SIZ       */
	#define	FILEPOS	0x00736F70	/*    POS	*/
	#define	FILEOUT	0x0074756F	/*    OUT	*/
#define PM_EOFILE	0x69666F65	/*EOFI		*/
#define	PM_CLOSEF	0x736F6C63	/*CLOS		*/
#define	PM_WRITEF	0x74697277	/*WRIT		*/
#define PM_RET		0x00746572	/*RET		*/
#define PM_SERVERT	0x76726573	/*SERV		*/
#define	PM_DISPLAY	0x70736964	/*DISP		*/
#define PM_TRACE	0x63617274	/*TRAC		*/
	#define	TRACEON	0x006E6F65	/*    EON	*/
	#define	TRACEOF	0x00666F65	/*    EOF	*/
	#define	TRACE	0x00000065	/*    E		*/
	#define TRACEPR	0x00727065	/*    EPR	*/
#define PM_WINTEXT	0x746E6977	/*WINT		*/
#define	PM_GETNIF	0x6E746567	/*GETN		*/
#define PM_ERROR	0x6F727265	/*ERRO		*/
#define	PM_PROC 	0x636F7270	/*PROC		*/
#define PM_PROCESS	0x00737365	/*    ESS	*/
#define PM_PROCDEL	0x006C6564	/*    DEL	*/
#define PM_DELETEF	0x656C6564	/*DELE		*/
#define PM_GPROFILE	0x6F727067	/*GPRO		*/
	#define	PROFINT	0x00746E69	/*    INT	*/
	#define PROFSTR	0x00727473	/*    STR	*/
#define	PM_SPROFILE	0x6F727073	/*SPRO		*/
#define	PM_GETENV	0x65746567	/*GETE		*/
#define	PM_SOUND	0x6E756F73	/*SOUN		*/
#define PM_CHDIR	0x69646863	/*CHDI		*/
#define	PM_MKDIR	0x69646B6D	/*MKDI		*/
#define PM_RMDIR	0x69646D72	/*RMDI		*/
#define	PM_GETDISK      0x64746567	/*GETD		*/
#define	PM_SETDISK	0x64746573	/*SETD		*/
#define	PM_POLYGON	0x796C6F70	/*POLY		*/
#define PM_ELLIPSE	0x696C6C65	/*ELLI		*/
#define	PM_ENDDRAW	0x64646E65	/*ENDD		*/
#define	PM_MKGRAPH	0x72676B6D	/*MKGR		*/
#define	PM_STARTUP	0x72617473	/*STAR		*/
#define	PM_MSGBOX	0x6267736D	/*MSGB		*/
#define PM_DDEINIT	0x69656464	/*DDEI		*/
#define PM_DDEDATA	0x64656464	/*DDED		*/
#define PM_DDEEXEC	0x65656464	/*DDEE		*/
#define PM_DDETERM	0x74656464	/*DDET		*/
#define PM_DDEPOKE	0x70656464	/*DDEP		*/
#define PM_DDERQST	0x72656464	/*DDER		*/
#define PM_WINEXEC	0x656E6977	/*WINE		*/
#define PM_SPYON	0x6F797073	/*SPYO		*/
#define PM_HOSTEXEC	0x74736F68	/*HOST		*/
