
#include "xwio.h"
#include <xview/xview.h>

extern struct pidref *object_plist;
extern struct ConsoleStruct console;


void swin_done_proc (Frame frame)
	{
	}

int make_swin (int startrow, int startcol, int rows, int cols, char *title)

	{
	struct SwinStruct *swin;
	int	x,y;
	
	swin= (struct SwinStruct *)malloc(sizeof (struct SwinStruct));
	
	swin->magic=PID_MAGIC_SWIN;
	swin->frame= (Frame) xv_create (console.frame, FRAME,
		FRAME_LABEL,		title,
		XV_X,			startcol * 8,
		XV_Y,			startrow * 15,
		WIN_ROWS,		rows+1,
		WIN_COLUMNS,		cols+1,
		FRAME_DONE_PROC,	swin_done_proc,
		NULL);

	make_twin_sub (swin->frame, rows, cols, &(swin->twin));

	window_fit (swin->frame);
	x = xv_get (swin->frame, XV_WIDTH);
	y = xv_get (swin->frame, XV_HEIGHT);
	xv_set (swin->frame, FRAME_MAX_SIZE, x, y, NULL);
	xv_set (swin->frame, XV_SHOW, TRUE, NULL);

	return plist_add (object_plist, swin);
	}

int destroy_swin (struct SwinStruct *swin)
	{
	struct TwinStruct *twin;

	twin=&(swin->twin);
	xv_destroy_safe (twin->canvas);
	free (twin->screen);
	xv_destroy_safe (swin->frame);
	free (swin);
	}

		
